Page MenuHomePhabricator

Bundle OATHAuth extension with MW 1.31
Closed, ResolvedPublic

Description

  • Passed security review or already Wikimedia deployed
  • Voting CI structure tests
  • Runs MediaWiki-CodeSniffer
  • Runs phan
  • Supports MySQL, SQLite, and Postgres (if there are schema changes)
  • GPL v2 or later compatible license
  • Extension's default configuration provides optimal experience
  • Tested with web installer

Event Timeline

Restricted Application added a subscriber: Aklapper. · View Herald TranscriptApr 8 2018, 6:26 PM
Tgr added a subscriber: Tgr.Apr 8 2018, 8:57 PM
Legoktm updated the task description. (Show Details)Apr 9 2018, 2:34 AM
Bawolff added a subscriber: Bawolff.Apr 9 2018, 8:18 AM
Legoktm updated the task description. (Show Details)Apr 11 2018, 12:21 AM

License review: OK, https://gerrit.wikimedia.org/r/425451 makes licensing clearer, and corrects license-name.

Legoktm updated the task description. (Show Details)Apr 11 2018, 3:19 AM
Legoktm updated the task description. (Show Details)

Change 425455 had a related patch set uploaded (by Legoktm; owner: Legoktm):
[mediawiki/tools/release@master] Bundle OATHAuth extension

https://gerrit.wikimedia.org/r/425455

Change 425455 merged by jenkins-bot:
[mediawiki/tools/release@master] Bundle OATHAuth extension

https://gerrit.wikimedia.org/r/425455

Jdforrester-WMF closed this task as Resolved.Apr 11 2018, 6:39 PM
Jdforrester-WMF assigned this task to Legoktm.